<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * @OA\Schema(
 *     schema="ReceiveRoomRegisterRequest",
 *     required={"branch_id", "room_id", "ip"},
 *     @OA\Property(property="branch_id", type="integer", example="5"),
 *     @OA\Property(property="room_name", type="string", example="pc102"),
 *     @OA\Property(property="room_ip", type="string", example="192.168.x.x"),
 * )
 */
class ReceiveRoomRegisterRequest extends ApiRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'branch_id' => 'required|integer|exists:branches,id',
            'room_name' => 'required|string',
            'room_ip' => 'nullable|ip',
        ];
    }
}
