<x-wireui:modal id="room-grid-modal"  wire:model.defer="showModal" persistent >
    <x-wireui:card class="border border-gray-200 w-full">
        <x-slot name="action">
            <button class="cursor-pointer p-1 rounded-full focus:outline-none focus:outline-hidden focus:ring-2 focus:ring-secondary-200 text-secondary-300"
                    x-on:click="close"
                    tabindex="-1"
            >
                <x-dynamic-component :component="WireUi::component('icon')" name="x-mark" class="w-5 h-5"/>
            </button>
        </x-slot>
        <x-slot name="title">{{$branchName}} - 包廂設定</x-slot>

        <div class="grid grid-cols-3 md:grid-cols-4 lg:grid-cols-6 gap-4">
            @forelse($rooms as $room)
                <x-room-card :room="$room" />
            @empty
                <div class="col-span-full text-center text-gray-500">尚無包廂資料</div>
            @endforelse
        </div>
        <livewire:admin.room-detail-modal />
    </x-wireui:card>
</x-wireui:modal>